$include "windowssdk.inc"
DIALOG w1

CREATEDIALOG w1,0,0,318,230,0x80C80080,0,"Dialog",&handler
   CONTROL w1,@STATIC,"Static",20,30,100,25,@CTEDITLEFT,1
   CONTROL w1,@BUTTON,"Button",20,70,200,25,@CTEDITLEFT|@TABSTOP,2
   CONTROL w1,@EDIT,"Edit",20,110,100,25,@CTEDITLEFT|@TABSTOP,3
   CONTROL w1,@CHECKBOX,"Checkbox",20,150,100,25,@CTEDITLEFT|@TABSTOP,4
   CONTROL w1,@RADIOBUTTON,"Radiobutton",20,190,100,25,@CTEDITLEFT|@TABSTOP,5
DOMODAL w1

SUB handler(),INT
    SELECT @MESSAGE
           CASE @IDINITDIALOG
	             CENTERWINDOW w1

           CASE @IDCLOSEWINDOW
	             CLOSEDIALOG w1,@IDOK

           CASE @IDCONTROL
	             SELECT @CONTROLID
                        CASE 1

                        CASE 2

                        CASE 3

                        CASE 4

                        CASE 5

   ENDSELECT
ENDSELECT
RETURN
ENDSUB
